Piloterr

ManoMano Search

GET
/v2/manomano/search

Read a ManoMano category or search URL and return product cards with price and pagination.

Credit cost: 2 credits per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Full ManoMano search or category page URL.

Example:

https://www.manomano.fr/perceuse-1146

Notes:

  • Use any valid ManoMano search or category URL from any supported domain (manomano.fr, manomano.co.uk, manomano.de, manomano.es, manomano.it)
  • Pagination and filter parameters present in the URL are respected

Response Body

Successful response

application/json
  1. response
results?array<>
pagination?
Example Request
curl -X GET 'https://api.piloterr.com/v2/manomano/search?query=string'
Example Response
{  "results": [    {      "url": "https://www.manomano.fr/p/perceuse-visseuse-lxt-makita-18-v-3-ah-84523637?product_id=158588345",      "brand": "MAKITA",      "is_mf": false,      "price": 214.96,      "title": "Makita – Perceuse-visseuse 18V DDF482SFE – 2 batteries 3Ah – Moteur Brushless – Couple 64Nm – Coffret avec chargeur",      "is_pro": false,      "rating": 4.57,      "currency": "EUR",      "in_stock": true,      "model_id": "89580210",      "seller_id": "12",      "article_id": "84523637",      "product_id": "158588345",      "seller_name": "Maxoutil",      "rating_count": 7,      "price_display": "214,96 €",      "delivery_label": "Livraison gratuite",      "original_price": 385.55,      "discount_percentage": 44,      "original_price_display": "385,55 €"    }  ],  "pagination": {    "next": "https://www.manomano.fr/perceuse-1146?page=2",    "page": 1,    "per_page": 56,    "total_pages": 100,    "total_results": 6000  }}